org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class CoalesceTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.CoalesceTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.CoalesceTest.Traversals

- Enclosing class:
    CoalesceTest

      public static class CoalesceTest.Traversals
      extends CoalesceTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.CoalesceTest

      `CoalesceTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Path>` | `get_g_V_coalesceXoutEXknowsX_outEXcreatedXX_otherV_path_byXnameX_byXlabelX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_coalesceXoutXfooX_outXbarXX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_coalesceXoutXlikesX_outXknowsX_inXcreatedXX_groupCount_byXnameX()`
    `Traversal<Vertex,String>` | `get_g_VX1X_coalesceXoutXcreatedX_outXknowsXX_valuesXnameX(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_coalesceXoutXknowsX_outXcreatedXX_valuesXnameX(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.CoalesceTest

      `g_V_coalesceXoutEXknowsX_outEXcreatedXX_otherV_path_byXnameX_byXlabelX, g_V_coalesceXoutXfooX_outXbarXX, g_V_coalesceXoutXlikesX_outXknowsX_inXcreatedXX_groupCount_byXnameX, g_VX1X_coalesceXoutXcreatedX_outXknowsXX_valuesXnameX, g_VX1X_coalesceXoutXknowsX_outXcreatedXX_valuesXnameX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_coalesceXoutXfooX_outXbarXX

          public Traversal<Vertex,Vertex> get_g_V_coalesceXoutXfooX_outXbarXX()

      Specified by:
        `get_g_V_coalesceXoutXfooX_outXbarXX` in class `CoalesceTest`

    - #### get_g_VX1X_coalesceXoutXknowsX_outXcreatedXX_valuesXnameX

          public Traversal<Vertex,String> get_g_VX1X_coalesceXoutXknowsX_outXcreatedXX_valuesXnameX(Object v1Id)

      Specified by:
        `get_g_VX1X_coalesceXoutXknowsX_outXcreatedXX_valuesXnameX` in class `CoalesceTest`

    - #### get_g_VX1X_coalesceXoutXcreatedX_outXknowsXX_valuesXnameX

          public Traversal<Vertex,String> get_g_VX1X_coalesceXoutXcreatedX_outXknowsXX_valuesXnameX(Object v1Id)

      Specified by:
        `get_g_VX1X_coalesceXoutXcreatedX_outXknowsXX_valuesXnameX` in class `CoalesceTest`

    - #### get_g_V_coalesceXoutXlikesX_outXknowsX_inXcreatedXX_groupCount_byXnameX

          public Traversal<Vertex,Map<String,Long>> get_g_V_coalesceXoutXlikesX_outXknowsX_inXcreatedXX_groupCount_byXnameX()

      Specified by:
        `get_g_V_coalesceXoutXlikesX_outXknowsX_inXcreatedXX_groupCount_byXnameX` in class `CoalesceTest`

    - #### get_g_V_coalesceXoutEXknowsX_outEXcreatedXX_otherV_path_byXnameX_byXlabelX

          public Traversal<Vertex,Path> get_g_V_coalesceXoutEXknowsX_outEXcreatedXX_otherV_path_byXnameX_byXlabelX()

      Specified by:
        `get_g_V_coalesceXoutEXknowsX_outEXcreatedXX_otherV_path_byXnameX_byXlabelX` in class `CoalesceTest`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.